/*TAKE A LITTLE PEEKSIE BUT NO PROMISES THAT ANY OF THIS IS GOOD!*/
:root {
    --palepink: #fff7f8;
    --pale: #f4e2e9;
    --bg: #f2dada;
    --pink: #f7c9c8;
    --pinky: #ffdedb;
    --rosey: #ffdbdd;
    --dusty: #7f6969; 
    --font: #aa6363;
    --bg-image: url('/images/bg/gamer_palepink_demonicpedigree.PNG');
    --magenta: #b24270;
    --dark: #1b1a1a;
    --cherry: #AC1E44;
    /*century gothic*/
  }
  
  
  body {
      font-family: 'Futura Condensed';
      color: white;
      background-image: url('/images/skyrim/skyrim_screenie6.jpg');
      background-color: var(--palepink);
      background-size: cover;
      background-position: 0% 15%;
      background-attachment: fixed;
    }

    footer {
      text-align: center;
      color: grey;
      transition: 0.3s ease-in-out;
    }

    footer a {
      color: white;
      text-decoration: none;
      transition: 0.3s ease-in-out;
    }

    footer a:hover {
      color: grey;
    }
  
    h1, h2, h3, h4 {
      font-family: "Skyrim Books Gaelic", sans-serif;
      margin: 0%;
    }

    h1 {
        font-size: 48px;
    }

    h2 {
        font-size: 32px;
    }

    h3 {
        font-size: 28px;
    }

    h4 {
        font-size: 22px;
    }
    h2 a {
      color: white;
      text-decoration: none;
      transition: 0.3s ease-in-out;
    }
    h2 a:hover {
      color: grey;
      transition: 0.3s ease-in-out;
    }
  
    p a:hover {
    color: grey
    }
  
    hr {
      border: 0;
      height: 15px;
      background-position: center;
      background:url('/images/dividers/gothic1.png');
    }

  /*Big container that wraps everything up, excuse the silly name*/
  #tupperware {
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    margin-top: -10px;
    margin-left: -10px;
  }

  .navcontainer {
    min-height: 905px;
    max-height: 100%;
    min-width: 100px;
    max-width: 300px;
    background-color: black;
    padding: 1%;
    text-align: center;

    border-right: double 6px grey;

    margin-bottom: -20px;
  }

  .navcontainer img {
    max-width: 100%;
    margin: auto;
  }

  .navcontainer a {
    color: white;
    text-decoration: none;
    letter-spacing: 4px;
    transition: letter-spacing 0.3s ease-in-out;
  }

  .navcontainer a:hover {
    color: grey;
    text-decoration: none;
    letter-spacing: 10px;
    transition: letter-spacing 0.3s ease-in-out;
  }

  .navcontainer ul {
    list-style-type: none;
    font-size: 24px;
    padding: 0%;
  }
  
  /*main body area*/
  .boxcontainer {
      min-height: 905px;
      max-height: 905px;
      max-width: 950px;
      background-color: rgb(0, 0, 0, 0.8);
      overflow: auto;
      border-right: double 6px grey;
      padding: 2%;

      font-size: 24px;
      margin-bottom: -20px;
    }

    .boxcontainer {
        letter-spacing: 1.7px;
    }
  
    .boxcontainer a {
        font-weight: bold;
      }

    .boxcontainer p a {
      color: white;
      text-decoration: none;
    }

    .boxcontainer p a:hover {
      color: grey;
    }

      .boxcontainer img {
        max-width: 100%;
      }

      .boxcontainer blockquote {
        letter-spacing: 1.5px;
      }

      .boxcontainer ul {
        list-style-image: url('/images/skyrim/skyrim_arrow_right_small.png');
      }

      .boxcontainer ul a {
        color: white;
        text-decoration: none;
        transition: 0.3s ease-in-out;
      }

      .boxcontainer ul a:hover { 
        color: grey;
        transition: 0.3s ease-in-out;
      }

    .sidecontainer img {
      position: fixed;
      bottom: 0%;
      max-width: 30%;
    }

    @media only screen and (max-width:900px){ 
    #tupperware {
      flex-direction: column;
    }
    .navcontainer {
      flex: 1;
      max-width: 100%;
      margin: auto;
      border: none;
    }
    .boxcontainer {
      flex: 2;
      max-width: 100%;
    }
    .sidecontainer {
      display: none;
    }
  }

    .banner {
      text-align: center;
      background-image: url('/images/skyrim/skryim_screenie3.jpg');
      background-repeat: no-repeat;
      background-size: cover;
      background-position: 0% 45%;
      min-height: 150px;
      border: 1px solid;
      border-radius: 5px;
      position: relative;
    }

    .center {
      text-align: center;
    }

    .gallery {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
      gap: 10px;
      justify-items: center;
  }
  
   
    /*GETS RID OF THAT ANNOYING TRIANGLE ON READ MORE*/
    details > summary {
      list-style: none;
    }
    details > summary::-webkit-details-marker {
      display: none;
    }
    /*...*/
  

    @media only screen and (max-width:900px){

      .navbar {
        margin: 0%;
        margin-top: 2%;
        margin-bottom: 0%;
      }
      .footer{ 
        margin: 5%;
        margin-top: 0%;
        margin-bottom: 2%;
    }
    }
    /*CURSORS*/
    body {
      cursor: url("/cursors/Skyrimouses/NormalSkyrim.cur"), auto;
    }
    a {
      cursor: url("/cursors/Skyrimouses/CrossSkyrim.cur"), auto;
    }

    /*TEXT SELECTION*/
    ::-moz-selection { /* Code for Firefox */
      color: white;
      background: grey;
    }
    
    ::selection {
      color: white;
      background: grey;
    }
